package cn.iocoder.yudao.module.sale.convert.offer;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdExcelVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdRespVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferProdDO;

/**
 * 报价商品详情 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferProdConvert {

    OfferProdConvert INSTANCE = Mappers.getMapper(OfferProdConvert.class);

    OfferProdDO convert(OfferProdCreateReqVO bean);

    OfferProdDO convert(OfferProdUpdateReqVO bean);

    OfferProdRespVO convert(OfferProdDO bean);

    List<OfferProdRespVO> convertList(List<OfferProdDO> list);

    PageResult<OfferProdRespVO> convertPage(PageResult<OfferProdDO> page);

    List<OfferProdExcelVO> convertList02(List<OfferProdDO> list);

}
