package cn.iocoder.yudao.module.sale.convert.offer;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportExcelVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportRespVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferTransportDO;

/**
 * 报价单运输方式 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferTransportConvert {

    OfferTransportConvert INSTANCE = Mappers.getMapper(OfferTransportConvert.class);

    OfferTransportDO convert(OfferTransportCreateReqVO bean);

    OfferTransportDO convert(OfferTransportUpdateReqVO bean);

    OfferTransportRespVO convert(OfferTransportDO bean);

    List<OfferTransportRespVO> convertList(List<OfferTransportDO> list);

    PageResult<OfferTransportRespVO> convertPage(PageResult<OfferTransportDO> page);

    List<OfferTransportExcelVO> convertList02(List<OfferTransportDO> list);

}
