package cn.iocoder.yudao.module.sale.dal.dataobject.channelPriceStepClearance;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 渠道清关费阶梯价格 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_channel_price_step_clearance")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelPriceStepClearanceDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 渠道id
     */
    private Long channelId;
    /**
     * 包装类型ID
     */
    private Long packagingId;
    /**
     * 起始数量
     */
    private java.math.BigDecimal startNum;
    /**
     * 结束数量
     */
    private java.math.BigDecimal endNum;
    /**
     * 数量单位
     */
    private Long weightUnit;
    /**
     * 清关费用
     */
    private java.math.BigDecimal clearancePrice;
    /**
     * 清关金额单位
     */
    private Long clearancePriceUnit;
    /**
     * 清关体积单位
     */
    private Long clearanceVolumeUnit;

}
