package cn.iocoder.yudao.module.sale.vo.channelPackaging;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 渠道清关费包装类型 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ChannelPackagingBaseVO {

    @ApiModelProperty(value = "渠道ID", required = true)
    @NotNull(message = "渠道ID不能为空")
    private Long channelId;

    @ApiModelProperty(value = "包装类型 eg:1,2,3")
    private String packagingTypes;

    @ApiModelProperty(value = "空运重量上限")
    private java.math.BigDecimal airWeightLimit;

}
