package cn.iocoder.yudao.module.sale.vo.channelPackaging;

import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.ChannelPriceStepClearanceCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@Data
@ToString
@EqualsAndHashCode
@ApiModel("管理后台 - 渠道清关费包装类型创建 Request VO")
public class ChannelPackagingCreateReqVO {


    @ApiModelProperty(value = "包装类型 eg:1,2,3")
    private String packagingTypes;

    @ApiModelProperty(value = "空运重量上限")
    private java.math.BigDecimal airWeightLimit;


    @ApiModelProperty(value = "清关费阶梯价格列表")
    private List<ChannelPriceStepClearanceCreateReqVO> channelPriceStepClearanceList;


}
