package cn.iocoder.yudao.module.sale.vo.channelPackaging;

import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.ChannelPriceStepClearanceCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 渠道清关费包装类型更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelPackagingUpdateReqVO extends ChannelPackagingBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;


    @ApiModelProperty(value = "清关费阶梯价格列表")
    private List<ChannelPriceStepClearanceCreateReqVO> priceStepClearanceCreateReqVOList;

}
