package cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 渠道清关费阶梯价格 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ChannelPriceStepClearanceBaseVO {

    @ExcelProperty("渠道ID")
    @ApiModelProperty(value = "渠道ID")
    private Long channelId;

    @ExcelProperty("包装类型ID")
    @ApiModelProperty(value = "包装类型ID")
    private Long packagingId;

    @ApiModelProperty(value = "起始数量", required = true)
    @NotNull(message = "起始数量不能为空")
    private java.math.BigDecimal startNum;

    @ApiModelProperty(value = "结束数量")
    private java.math.BigDecimal endNum;

    @ApiModelProperty(value = "数量单位")
    private Long weightUnit;

    @ApiModelProperty(value = "清关费用")
    private java.math.BigDecimal clearancePrice;

    @ApiModelProperty(value = "清关金额单位")
    private Long clearancePriceUnit;

    @ApiModelProperty(value = "清关体积单位")
    private Long clearanceVolumeUnit;

}
