package cn.iocoder.yudao.module.sale.convert.channelPriceStepClearance;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.channelPriceStepClearance.ChannelPriceStepClearanceDO;

/**
 * 渠道清关费阶梯价格 Convert
 * @author yanghao
 */
@Mapper
public interface ChannelPriceStepClearanceConvert {
    /*****转换MapStruct*****/
    ChannelPriceStepClearanceConvert INSTANCE = Mappers.getMapper(ChannelPriceStepClearanceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ChannelPriceStepClearanceDO convert(ChannelPriceStepClearanceCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ChannelPriceStepClearanceDO convert(ChannelPriceStepClearanceUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ChannelPriceStepClearanceBackVO convert(ChannelPriceStepClearanceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ChannelPriceStepClearanceBackVO> convertList(List<ChannelPriceStepClearanceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ChannelPriceStepClearanceBackVO> convertPage(PageResult<ChannelPriceStepClearanceDO> page);
}
