package cn.iocoder.yudao.module.sale.convert.offer;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.sale.vo.offer.OfferCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.OfferExcelVO;
import cn.iocoder.yudao.module.sale.vo.offer.OfferRespVO;
import cn.iocoder.yudao.module.sale.vo.offer.OfferUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferDO;

/**
 * 报价单管理 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferConvert {

    OfferConvert INSTANCE = Mappers.getMapper(OfferConvert.class);

    OfferDO convert(OfferCreateReqVO bean);

    OfferDO convert(OfferUpdateReqVO bean);

    OfferRespVO convert(OfferDO bean);

    List<OfferRespVO> convertList(List<OfferDO> list);

    PageResult<OfferRespVO> convertPage(PageResult<OfferDO> page);

    List<OfferExcelVO> convertList02(List<OfferDO> list);

    List<OfferExcelVO> convertList03(List<OfferRespVO> list);

}
