package cn.iocoder.yudao.module.sale.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AchievementStatisticsDto {

    @ApiModelProperty(value = "客户经理")
    @ExcelProperty(value = "客户经理")
    private String nickName;

    @ApiModelProperty(value = "客户类型")
    @ExcelProperty(value = "客户类型")
    private String cusType;

    @ApiModelProperty(value = "国家")
    @ExcelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "方数")
    @ExcelProperty(value = "方数")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    @ExcelProperty(value = "重量")
    private BigDecimal weight;

}
