package cn.iocoder.yudao.module.sale.dto;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class MyAchievementRetDto {

    @ApiModelProperty(value = "业绩分页数据")
    private PageResult<MyAchievementDto> myAchievementDtos;

    @ApiModelProperty(value = "总箱数")
    private Integer totalNum;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "开发客户总箱数")
    private Integer devTotalNum;

    @ApiModelProperty(value = "开发客户总体积")
    private BigDecimal devTotalVolume;

    @ApiModelProperty(value = "开发客户总重量")
    private BigDecimal devTotalWeight;

    @ApiModelProperty(value = "公司客户总箱数")
    private Integer companyTotalNum;

    @ApiModelProperty(value = "公司客户总体积")
    private BigDecimal companyTotalVolume;

    @ApiModelProperty(value = "公司客户总重量")
    private BigDecimal companyTotalWeight;

    @ApiModelProperty(value = "新客户总箱数")
    private Integer newTotalNum;

    @ApiModelProperty(value = "新客户总体积")
    private BigDecimal newTotalVolume;

    @ApiModelProperty(value = "新客户总重量")
    private BigDecimal newTotalWeight;

    @ApiModelProperty(value = "旧客户总箱数")
    private Integer oldTotalNum;

    @ApiModelProperty(value = "旧客户总体积")
    private BigDecimal oldTotalVolume;

    @ApiModelProperty(value = "旧客户总重量")
    private BigDecimal oldTotalWeight;

}
