package cn.iocoder.yudao.module.sale.vo.channel;

import cn.iocoder.yudao.module.sale.vo.channelPackaging.ChannelPackagingBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 渠道管理 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelRespVO extends ChannelBaseVO {

    @ApiModelProperty(value = "渠道ID", required = true)
    private Long channelId;

    @ApiModelProperty(value = "创建人姓名", required = true)
    private String creatorName;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "更新人姓名", required = true)
    private String updaterName;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date updateTime;



    @ApiModelProperty(value = "包装数量")
    private Integer packagingCount;

    @ApiModelProperty(value = "清关费包装类型集合")
    private List<ChannelPackagingBackVO> channelPackagingList;

    @ApiModelProperty(value = "可出商品特性名称列表")
    private List<String> attrNameList;


    @ApiModelProperty(value = "国家中文名")
    private String countryTitleZh;
    @ApiModelProperty(value = "国家英文名")
    private String countryTitleEn;
}
