package cn.iocoder.yudao.module.sale.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("渠道精简信息 Response VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChannelSimpleRespVO {
    @ApiModelProperty(value = "", required = true)
    private Long channelId;

    @ApiModelProperty(value = "中文标题")
    private String nameZh;

    @ApiModelProperty(value = "英文标题")
    private String nameEn;
}