package cn.iocoder.yudao.module.sale.vo.channel;

import cn.iocoder.yudao.module.sale.vo.channelPackaging.ChannelPackagingCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 渠道管理更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelUpdateReqVO extends ChannelBaseVO {

    @ApiModelProperty(value = "渠道ID", required = true)
    @NotNull(message = "渠道ID不能为空")
    private Long channelId;


    /**
     * 空运清关费阶梯价格
     */
    @ApiModelProperty(value = "空运清关费阶梯价格")
    private List<ChannelPackagingCreateReqVO> channelPackagingList;


}
