package cn.iocoder.yudao.module.sale.vo.offer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class OfferResultVO {

    @ApiModelProperty(value = "报价单ID", required = true)
    @NotNull(message = "报价单ID不能为空")
    private Long offerId;

    @ApiModelProperty(value = "结果：0 输单 1 赢单", required = true)
    @NotNull(message = "处理状态不能为空")
    private Integer result;

    @ApiModelProperty(value = "原因")
    private String reason;

    @ApiModelProperty(value = "入仓类型类型: 1 一次入仓 2 分批入仓")
    private Integer warehousingType;

    @ApiModelProperty(value = "关联订单号")
    private String orderNo;
}
